ServerEvents.recipes(event => {
    const REPLACE_INPUT = [
        [{ mod: 'tfmg' }, 'tfmg:copper_cable', 'createaddition:copper_spool'],
        [{ mod: 'createaddition' }, 'createaddition:capacitor', 'tfmg:capacitor_'],
        [{ mod: 'quark' }, 'quark:diamond_heart', 'celestial_artifacts:diamond_ring'],
        [{ mod: 'epicpaladins' }, '#forge:ingots/steel', 'cataclysm:black_steel_ingot'],
        [{ mod: 'samurai_dynasty' }, '#forge:ingots/steel', 'cataclysm:black_steel_ingot']
    ];
    const replaceRecipes = (event) => {
        for (let item of REPLACE_INPUT) {
            event.replaceInput({ mod: item[0].mod }, item[1], item[2]);
        }
    };
    replaceRecipes(event);
});